UNIX(8)

NAME
unix - Unix Domain Sockets (PF_UNIX) / Local Sockets (PF_LOCAL)

SYNOPSIS
#include <sys/socket.h>
#include <sys/un.h>
int socket(int domain, int type, int protocol);
int socketpair(int domain, int type, int protocol, int sv[2]);

DESCRIPTION
Local sockets, more commonly known as Unix Domain Sockets, provide a means of interprocess communication using the socket API.

SEE ALSO
socket(2), socketpair(2), getpeereid(2), uds(4)

HISTORY
This Unix Domain Sockets first appeared in Minix 3.1.8.